SNIMPY(1)

NAME
snimpy - interactive SNMP tool with Python

SYNOPSIS
snimpy [options]

DESCRIPTION
This manual page documents briefly the snimpy command.

snimpy is a Python-based tool providing a simple interface to build SNMP queries. This interface aims at being the most Pythonic possible: you grab scalars using attributes and columns are like dictionaries.

snimpy can be used either interactively through its console (derived from Python own console or from IPython if available) or by writing snimpy scripts which are just Python scripts with some global variables available.

OPTIONS
snimpy does not take any option. If you launch it without any argument, you will get the interactive console. Otherwise, the first argument is the name of a script to be executed and the remaining arguments are the arguments for this script.

SEE ALSO

https://github.com/vincentbernat/snimpy

AUTHOR
Vincent Bernat <bernat@luffy.cx>